Bug 246432 - Review Request: blitz : C++ class library for matrix scientific computing
Summary: Review Request: blitz : C++ class library for matrix scientific computing
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-02 08:05 UTC by Sergio Pascual
Modified: 2007-11-30 22:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-22 14:40:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Sergio Pascual 2007-07-02 08:05:59 UTC
Spec URL: http://astro-sfg.fis.ucm.es/~spr/blitz.spec
SRPM URL: http://astro-sfg.fis.ucm.es/~spr/blitz-0.9-0.1.src.rpm
Description: Blitz++ is a C++ class library for scientific computing which provides performance on par with Fortran 77/90. It uses template techniques to achieve high performance. Blitz++ provides dense arrays and vectors, random number generators, and small vectors

Comment 1 Sergio Pascual 2007-07-26 21:01:02 UTC
Moved to 
Spec URL: http://sergiopr.fedorapeople.org/blitz.spec
SRPM URL: http://sergiopr.fedorapeople.org/blitz-0.9-0.1.src.rpm

Comment 2 Parag AN(पराग) 2007-09-28 06:45:21 UTC
I will pick this for review.

1)do you need following files in -doc as rpmlint reported them as errors?
blitz-doc.i386: E: zero-length
/usr/share/doc/blitz-doc-0.9/html/classListInitializer__coll__graph.map
blitz-doc.i386: E: zero-length
/usr/share/doc/blitz-doc-0.9/html/classListInitializationSwitch__coll__graph.map
blitz-doc.i386: E: zero-length
/usr/share/doc/blitz-doc-0.9/html/classF__coll__graph.map
blitz-doc.i386: E: zero-length /usr/share/doc/blitz-doc-0.9/html/minmax_8h__incl.map
blitz-doc.i386: E: zero-length
/usr/share/doc/blitz-doc-0.9/html/classReduceMaxIndexVector__coll__graph.png
blitz-doc.i386: E: zero-length
/usr/share/doc/blitz-doc-0.9/html/classVectorIterConst__coll__graph.map
blitz-doc.i386: E: zero-length
/usr/share/doc/blitz-doc-0.9/html/classVectorIter__coll__graph.map
blitz-doc.i386: E: zero-length
/usr/share/doc/blitz-doc-0.9/html/classIRNGWrapper_3_01IRNG_00_01sharedState_01_4__coll__graph.map
blitz-doc.i386: E: zero-length
/usr/share/doc/blitz-doc-0.9/html/classIRNGWrapper_3_01IRNG_00_01independentState_01_4__coll__graph.map
blitz-doc.i386: E: zero-length
/usr/share/doc/blitz-doc-0.9/html/wrap-climits_8h__incl.map
blitz-doc.i386: E: zero-length
/usr/share/doc/blitz-doc-0.9/html/classReduceMaxIndexVector__coll__graph.map


2) Change %defattr(-,root,root) to %defattr(-,root,root,-) for all %files sections.

3)Change preun section as suggested in 
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-47896da5fb2662d75deefeb9ba75145a398515db

4) Add COPYING, README and LICENSE to all %doc lines in each %files sections

5) Good to have examples directory installed as part of -devel package 
  Add examples to %doc of -devel

6) Remove following from SPEC
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

7) Source URL should be
  Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

8) Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
directory ownership and usability).

9)Artistic 1.0 license is not valid now in Fedora. Upstream should move to
Artistic 2.0 license

Comment 3 Sergio Pascual 2007-10-02 10:34:32 UTC
I have fixed points 1), 2) 3), 5) 6) 7) and 8).

For point 9), the code is licensed under GPLv2+ and/or Artistic 1.0 (it can be
seen in file LEGAL). So I select GPLv2+, is that OK?

For point 4), I have included the following files:  AUTHORS LEGAL COPYING README
and LICENSE. Legal explains the dual licensing, LICENSE is the Artistic 1.0
license and COPYING is the GPL license.

SPEC: http://sergiopr.fedorapeople.org/blitz.spec
SRPM: http://sergiopr.fedorapeople.org/blitz-0.9-0.2.fc7.src.rpm


Comment 4 Parag AN(पराग) 2007-10-03 03:42:57 UTC
1)Only some files have included license text, not all(e.g. some .h files have
missing license text in them). Your License should be "GPLv2"
2)new package gives rpmlint error as
blitz-devel.i386: E: info-dir-file /usr/share/info/dir
You have /usr/info/dir or /usr/share/info/dir in your package. It will cause
conflicts with other packages and thus is not allowed. Please remove it and
rebuild your package.
===>you need to remove that file in %install step.


Comment 5 Sergio Pascual 2007-10-03 09:08:50 UTC
1) I have changed the License tag to GPLv2. 
2) I don't see where in the specfile I'm including /usr/share/info/dir. This
file doesn't appear in the manifest of blitz-devel (rpm -qlp yields only
/usr/share/info/blitz.info.gz). Anyway, I have changed the line
Requires: %{_infodir}/* to Requires: %{_infodir}/%{name}

SPEC: http://sergiopr.fedorapeople.org/blitz.spec
SRPM: http://sergiopr.fedorapeople.org/blitz-0.9-1.fc7.src.rpm



Comment 6 Parag AN(पराग) 2007-10-15 11:12:35 UTC
with latest SRPM I got build error as 
error: Installed (but unpackaged) file(s) found:
   /usr/share/info/dir




Comment 8 Parag AN(पराग) 2007-10-17 04:24:18 UTC
rpmlint gave me 
blitz.src:101: W: macro-in-%changelog name
Macros are expanded in %changelog too, which can in unfortunate cases lead
to the package not building at all, or other subtle unexpected conditions that
affect the build.  Even when that doesn't happen, the expansion results in
possibly "rewriting history" on subsequent package revisions and generally
odd entries eg. in source rpms, which is rarely wanted.  Avoid use of macros
in %changelog altogether, or use two '%'s to escape them, like '%%foo'.


Comment 9 Sergio Pascual 2007-10-17 09:14:19 UTC
Gosh, packaging is full of traps...

Fixed

SPEC: http://sergiopr.fedorapeople.org/blitz.spec
SRPM: http://sergiopr.fedorapeople.org/blitz-0.9-3.fc7.src.rpm

Comment 10 Parag AN(पराग) 2007-10-17 10:11:24 UTC
thanks.
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
031df2816c73e2d3bd6d667bbac19eca  blitz-0.9.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ blitz.pc files are present.
+ -devel,-docs subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ ldconfig and install-info scriptlets are used.
+ package blitz-0.9-3.fc8 ->
  Provides: libblitz.so.0
  Requires: libblitz.so.0 libc.so.6 libc.so.6(GLIBC_2.1.3) libgcc_s.so.1
libm.so.6 libstdc++.so.6 libstdc++.so.6(CXXABI_1.3) libstdc++.so.6(GLIBCXX_3.4)
rtld(GNU_HASH)
+ package blitz-devel-0.9-3.fc8 ->
  Requires: blitz = 0.9-3.fc8 libblitz.so.0 pkgconfig
+ Not a GUI app.

APPROVED.



Comment 11 Sergio Pascual 2007-10-17 10:29:15 UTC
New Package CVS Request
=======================
Package Name: blitz
Short Description: C++ class library for matrix scientific computing
Owners: sergiopr
Branches: FC-6 F-7
InitialCC:
Cvsextras Commits: yes

Comment 12 Kevin Fenzi 2007-10-17 16:31:08 UTC
cvs done.

Comment 13 Sergio Pascual 2007-10-18 16:35:55 UTC
Package Change Request
======================
Package Name: blitz
New Branches: EL-4 EL-5
Updated EPEL Owners: rmyers

Comment 14 Kevin Fenzi 2007-10-21 17:16:12 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.